---
search:
  tags:
    - environments
    - PUT
seo:
  description: >-
    Updates an environment. Fields left out keep their… Reference for the PUT
    /project/{project_id}/environment/{environment_id} endpoint in the Platform
    API.
sidebar:
  label: Update an environment
  badge: PUT
title: Update an environment
type: openapi-operation
---
Updates an environment. Fields left out keep their value.

`PUT /project/{project_id}/environment/{environment_id}`

**Request body** (`application/json`, required)

- `name` (string) — The updated name of the environment.

Request body example:

```json
{
  "name": "string"
}
```

**Responses**

- `200` — Environment updated successfully
- `default` — Error

Response example, 200:

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
  "cluster_id": "d3d1bfdf-67c4-41fa-b065-858242731616",
  "name": "string",
  "type": "development",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
```
